Name:          rygel
Version:       0.6.0
Release:       1%{?dist}
Summary:       A collection of UPnP/DLNA services

Group:         Applications/Multimedia
License:       LGPLv2+
URL:           http://live.gnome.org/Rygel
Source0:       ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: gstreamer-devel
BuildRequires: gtk2-devel
BuildRequires: gupnp-devel
BuildRequires: gupnp-av-devel
BuildRequires: gupnp-vala
BuildRequires: libgee-devel
BuildRequires: libsoup-devel
BuildRequires: libuuid-devel
BuildRequires: sqlite-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

%description
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak), 
implemented through a plug-in mechanism. UPnP in simplest words is a set of 
protocols that defines how different devices on a home network can seamlessly 
(without or with minimum configuration) communicate with each other. UPnP AV 
defines how multimedia systems could be built on top of that. DLNA in simple 
words is a long list of rules that implementers must comply to if they want 
to achieve interoperability with other implementations in the market.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package tracker
Summary: Tracker plugin for %{name}
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure --enable-tracker-plugin --enable-media-export-plugin --enable-external-plugin --enable-mediathek-plugin --enable-gst-launch-plugin --disable-silent-rules
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

# Verify the desktop files
desktop-file-validate %{buildroot}/%{_datadir}/applications/rygel.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/rygel-preferences.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_libdir}/rygel-1.0/librygel-external.so
%{_libdir}/rygel-1.0/librygel-media-export.so
%{_libdir}/rygel-1.0/librygel-gst-launch.so
%{_libdir}/rygel-1.0/librygel-gst-renderer.so
%{_libdir}/rygel-1.0/librygel-mediathek.so
%{_datadir}/rygel/
%{_datadir}/applications/rygel*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/rygel.png
%{_datadir}/icons/hicolor/scalable/apps/rygel*

%files tracker
%defattr(-,root,root,-)
%{_libdir}/rygel-1.0/librygel-media-tracker.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/rygel-1.0
%{_libdir}/pkgconfig/rygel-1.0.pc
%{_datadir}/vala/vapi/rygel-1.0.deps
%{_datadir}/vala/vapi/rygel-1.0.vapi

%changelog
* Sun May 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-1
- Update to 0.6.0

* Wed Apr 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- Update to 0.5.2

* Wed Feb 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- Update to 0.5.0

* Mon Jan 25 2010 Bastien Nocera <bnocera@redhat.com> 0.4.10-1
- Update to 0.4.10

* Sat Dec 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-2
- Update description

* Tue Dec 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-1
- Update to 0.4.8

* Sat Nov 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.6-1
- Update to 0.4.6

* Tue Oct 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.4-2
- Add and change new files.

* Tue Oct 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.4-1
- Update to 0.4.4

* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Fri Sep 25 2009 Bastien Nocera <bnocera@redhat.com> 0.4.1-1
- Update to 0.4.1

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-5
- Make sure we rebuild the C source code from vala sources

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-4
- Make the prefs work

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-3
- Enable new plugins, add desktop file verification, add more docs

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-2
- Update deps for new release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.3-6
- Rebuild against compat-libgee01

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-5
- Own rygel include dir, some spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-3
- Rebuild with new libuuid build req

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Split tracker plugin out to a sub package. Resolves RHBZ 507032

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release

* Mon Mar 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Add a dep on tracker as that is currently the way it finds media

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Added some missing BuildReqs

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Initial release
